/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreStudy;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreStudyRecord extends UpdatableRecordImpl<TCoreStudyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_study.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_study.pk</code>. id of study
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.pk</code>. id of study
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_study.fk_element</code>. reference to
     * element in hierarchy
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.fk_element</code>. reference to
     * element in hierarchy
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_study.name</code>. simple name
     */
    public void setName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.name</code>. simple name
     */
    public String getName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_study.token_data</code>. short cut for
     * data schema to be used by synonym name
     */
    public void setTokenData(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.token_data</code>. short cut for
     * data schema to be used by synonym name
     */
    public String getTokenData() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_study.token_config</code>. short cut
     * for config schema to be used by synonym name
     */
    public void setTokenConfig(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.token_config</code>. short cut
     * for config schema to be used by synonym name
     */
    public String getTokenConfig() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.t_core_study.unique_name_prefix</code>. unique
     * study prefix like s1 for ship1
     */
    public void setUniqueNamePrefix(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.unique_name_prefix</code>. unique
     * study prefix like s1 for ship1
     */
    public String getUniqueNamePrefix() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.t_core_study.label</code>. label in shippie
     */
    public void setLabel(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.label</code>. label in shippie
     */
    public String getLabel() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.t_core_study.label_order</code>. order nr for
     * the label in shippie, highest nr = topmost 
     */
    public void setLabelOrder(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.t_core_study.label_order</code>. order nr for
     * the label in shippie, highest nr = topmost 
     */
    public Integer getLabelOrder() {
        return (Integer) get(8);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreStudyRecord
     */
    public TCoreStudyRecord() {
        super(TCoreStudy.T_CORE_STUDY);
    }

    /**
     * Create a detached, initialised TCoreStudyRecord
     */
    public TCoreStudyRecord(LocalDateTime lastchange, Integer pk, Integer fkElement, String name, String tokenData, String tokenConfig, String uniqueNamePrefix, String label, Integer labelOrder) {
        super(TCoreStudy.T_CORE_STUDY);

        setLastchange(lastchange);
        setPk(pk);
        setFkElement(fkElement);
        setName(name);
        setTokenData(tokenData);
        setTokenConfig(tokenConfig);
        setUniqueNamePrefix(uniqueNamePrefix);
        setLabel(label);
        setLabelOrder(labelOrder);
        resetChangedOnNotNull();
    }
}
